com.qualcomm.robotcore.hardware

## Interface ServoController

- All Superinterfaces:
    HardwareDevice
  All Known Subinterfaces:
    ServoControllerEx

      public interface ServoController
      extends HardwareDevice

  Interface for working with Servo Controllers

  Different servo controllers will implement this interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ServoController.PwmStatus` PWM Status - is pwm enabled?

    - ### Nested classes/interfaces inherited from interface com.qualcomm.robotcore.hardware.HardwareDevice

      `HardwareDevice.Manufacturer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServoController.PwmStatus` | `getPwmStatus()` Returns the enablement status of the collective set of servos connected to this controller
    `double` | `getServoPosition(int servo)` Get the position of a servo at a given channel
    `void` | `pwmDisable()` Disables all of the servos connected to this controller
    `void` | `pwmEnable()` Enables all of the servos connected to this controller
    `void` | `setServoPosition(int servo, double position)` Set the position of a servo at the given channel

    - ### Methods inherited from interface com.qualcomm.robotcore.hardware.HardwareDevice

      `close, getConnectionInfo, getDeviceName, getManufacturer, getVersion, resetDeviceConfigurationForOpMode`

- - ### Method Detail

    - #### pwmEnable

          void pwmEnable()

      Enables all of the servos connected to this controller

    - #### pwmDisable

          void pwmDisable()

      Disables all of the servos connected to this controller

    - #### getPwmStatus

          ServoController.PwmStatus getPwmStatus()

      Returns the enablement status of the collective set of servos connected to this controller
      Returns:
        the enablement status of the collective set of servos connected to this controller

    - #### setServoPosition

          void setServoPosition(int servo,
                                double position)

      Set the position of a servo at the given channel
      Parameters:
        `servo` - channel of servo
        `position` - from 0.0 to 1.0

    - #### getServoPosition

          double getServoPosition(int servo)

      Get the position of a servo at a given channel
      Parameters:
        `servo` - channel of servo
      Returns:
        position, scaled from 0.0 to 1.0